#!/bin/bash
##################################################
## simple job run template for bwUniCluster     ##
## to interactively run chain jobs              ##
##################################################
## ver.  : 2014-09-09, Robert Barthel, KIT, SCC
##
## usage :
##         export myloop_counter=0; ./interactive_chain_job.sh


## Defaults
loop_max=10
cmd='sleep 2'

## Check if counter environment variable is set
if [ -z "${myloop_counter}" ] ; then 
   echo "  ERROR: myloop_counter is undefined, stop chain job"
   exit 1
fi

## only continue if below loop_max
if [ ${myloop_counter} -lt ${loop_max} ] ; then

   ## increase counter    
   let myloop_counter+=1
  
   ## print current Job number
   echo "  Chain job iteration = ${myloop_counter}"
   
   ## Define your command
   cmd='sleep 2'
   echo "  -> executing ${cmd}"
   ${cmd}
   
   if [ $? -eq 0 ] ; then
      ## continue only if last command was successful
      export myloop_counter=${myloop_counter}
      ./${0}   
   else
      ## Terminate chain 
      echo "  ERROR: ${cmd} of chain job no. ${myloop_counter} terminated unexpectedly"
      exit 1
   fi
fi
